cURL
curl --request GET \
--url https://api.deepreel.com/project/assets/user_voice/{id}/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.deepreel.com/project/assets/user_voice/{id}/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.deepreel.com/project/assets/user_voice/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"gender": "Male",
"age_group": "Young",
"voice_accent": "<string>",
"stability": 123,
"style_exaggeration": 123,
"sample_audio_url": "<string>"
}{
"message": "<string>",
"detail": {}
}Voice
Get Voice Properties
Returns properties of the voice.
GET
/
project
/
assets
/
user_voice
/
{id}
/
cURL
Authorizations
Your API key with the prefix: dr_. This is required by all endpoints to access our API programatically. You can view your API Key by navigating to the account settings panel (In the bottom left corner click on your Account → profile)
Path Parameters
A UUID string identifying this voice.
Response
Allows to specify fields to be included
Unique Identifier of the voice.
Name of the voice.
Gender of the voice.
Male- MaleFemale- Female
Available options:
Male, Female Age group of the voice
Young- YoungAdult- AdultOld- Old
Available options:
Young, Adult, Old Accent of the voice.
Expressiveness of speaking style.
Level of exaggeration of the speaking style.
URL of the sample audio of the voice. Note: Link will be valid for the next 60 minutes.
